CHOWN(1)

NÉV
chown - change file owner and group

ÖSSZEGZÉS
chown [KAPCSOLÓ]... [TULAJDONOS][:[CSOPORT]] FÁJL...
chown [KAPCSOLÓ]... --reference=REFERENCIAFÁJL FÁJL...

LEÍRÁS
This manual page documents the GNU version of chown. chown changes the user and/or group ownership of each given file. If only an owner (a user name or numeric user ID) is given, that user is made the owner of each given file, and the files' group is not changed. If the owner is followed by a colon and a group name (or numeric group ID), with no spaces between them, the group ownership of the files is changed as well. If a colon but no group name follows the user name, that user is made the owner of the files and the group of the files is changed to that user's login group. If the colon and group are given, but the owner is omitted, only the group of the files is changed; in this case, chown performs the same function as chgrp. If only a colon is given, or if the entire operand is empty, neither the owner nor the group is changed.

KAPCSOLÓK

Megváltoztatja mindegyik FÁJL tulajdonosát és/vagy csoportját a TULAJDONOSRA és/vagy a CSOPORTRA. A --reference használata esetén mindegyik FÁJL tulajdonosát és csoportját a REFERENCIAFÁJLÉRA változtatja.

-c, --changes
    mint a bőbeszédű mód, de csak a végrehajtott változásokat jelzi

-f, --silent, --quiet
    megszünteti a legtöbb hibaüzenetet

-v, --verbose
    minden feldolgozott fájl után diagnosztikai üzenetet ír ki

--dereference
    nem a szimbolikus link csoportját változtatja meg, hanem a fájlét, amire az mutat (ez az alapértelmezett)

-h, --no-dereference
    a szimbolikus linket érinti, és nem a fájlt (csak azokon a rendszereken hasznos, ahol a szimbolikus link tulajdonosa módosítható)

--from=CURRENT_OWNER:CURRENT_GROUP
    change the ownership of each file only if its current owner and/or group match those specified here. Either may be omitted, in which case a match is not required for the omitted attribute

--no-preserve-root
    a „/”-t ne kezelje speciálisan (alapértelmezett)

--preserve-root
    a rekurzív működés visszautasítása a „/” könyvtáron

--reference=RFÁJL
    use RFILE's ownership rather than specifying values. RFILE is always dereferenced if a symbolic link.

-R, --recursive
    rekurzívan működik a fájlokon és könyvtárakon

The following options modify how a hierarchy is traversed when the -R option is also specified. If more than one is specified, only the final one takes effect. -P is the default.

-H  if a command line argument is a symlink to a directory, traverse it

-L  minden könyvtárra mutató szimbolikus link bejárása

-P  do not traverse any symbolic links

--help
    ezen súgó megjelenítése és kilépés

--version
    verzióinformációk megjelenítése és kilépés

A tulajdonos változatlan marad, ha nincs megadva. A csoport változatlan marad, ha nincs megadva, de megváltozik a bejelentkezési csoportra, a „:”-ot követő TULAJDONOS nevének megadásakor. A TULAJDONOST és a CSOPORTOT meg lehet adni számmal vagy névvel.

PÉLDÁK

chown root /u
    A /u tulajdonosának megváltoztatása „root”-ra.

chown root:staff /u
    Hasonló, de a csoportot megváltoztatja „staff”-ra.

chown -hR root /u
    A /u és az alatta található fájlok tulajdonosának módosítása „root”-ra.

SZERZŐ
Írta David MacKenzie és Jim Meyering.

HIBÁK JELENTÉSE
A hibák a(z) bug-coreutils@gnu.org címen jelenthetők.
A(z) GNU coreutils honlapja: <https://www.gnu.org/software/coreutils/>
Általános segítség a GNU szoftverek használatához: <https://www.gnu.org/gethelp/>
Report any translation bugs to <https://translationproject.org/team/>

LÁSD MÉG
chown(2)

Teljes dokumentáció <https://www.gnu.org/software/coreutils/chown>
vagy helyileg elérhető: info '(coreutils) chown invocation'

Packaged by Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
A licenc GPLv3+: a GNU GPL 3. vagy újabb változata: <https://gnu.org/licenses/gpl.html>.
Ez egy szabad szoftver, terjesztheti és/vagy módosíthatja.
NINCS GARANCIA, a törvény által engedélyezett mértékig.

FORDÍTÁS
A kézikönyv magyar fordítását a Kulcsár Gábor <medve@iku.omikk.hu> és Magyari Miklós <magyari@freemail.hu> készítette.

Ez a fordítás ingyenes dokumentáció; lásd a GNU General Public License 3 (https://www.gnu.org/licenses/gpl-3.0.html). Vagy újabb verzióját a szerzői jogi feltételekkel kapcsolatban. Feltételezzük, hogy NEM FELELŐSSÉG.

Ha hibát talál a kézikönyv oldal fordításában, küldje el a e-mail cím: TODO..